import { OnDestroy } from '@angular/core';
import { IFilteringOperation } from '../../../data-operations/filtering-condition';
import { ISelectionEventArgs, IgxDropDownComponent } from '../../../drop-down/public_api';
import { IgxExcelStyleCustomDialogComponent } from './excel-style-custom-dialog.component';
import { IgxGridExcelStyleFilteringComponent } from './grid.excel-style-filtering.component';
/**
 * A component used for presenting Excel style conditional filter UI.
 */
export declare class IgxExcelStyleConditionalFilterComponent implements OnDestroy {
    esf: IgxGridExcelStyleFilteringComponent;
    private shouldOpenSubMenu;
    private destroy$;
    private _subMenuPositionSettings;
    private _subMenuOverlaySettings;
    /**
     * @hidden @internal
     */
    customDialog: IgxExcelStyleCustomDialogComponent;
    /**
     * @hidden @internal
     */
    subMenu: IgxDropDownComponent;
    constructor(esf: IgxGridExcelStyleFilteringComponent);
    ngOnDestroy(): void;
    /**
     * @hidden @internal
     */
    onTextFilterKeyDown(eventArgs: any): void;
    /**
     * @hidden @internal
     */
    onTextFilterClick(eventArgs: any): void;
    /**
     * @hidden @internal
     */
    getCondition(value: string): IFilteringOperation;
    /**
     * @hidden @internal
     */
    translateCondition(value: string): string;
    /**
     * @hidden @internal
     */
    onSubMenuSelection(eventArgs: ISelectionEventArgs): void;
    /**
     * @hidden @internal
     */
    onSubMenuClosed(): void;
    /**
     * @hidden @internal
     */
    showCustomFilterItem(): boolean;
    /**
     * @hidden @internal
     */
    get subMenuText(): string;
    /**
     * @hidden @internal
     */
    get conditions(): string[];
}
