import { IgxToggleDirective } from '../../directives/toggle/toggle.directive';
import { IgxColumnActionsComponent } from '../column-actions/column-actions.component';
import { IgxGridToolbarComponent } from './grid-toolbar.component';
/**
 * Base class for the pinning/hiding column actions.
 * @hidden @internal
 */
export declare abstract class BaseToolbarDirective {
    protected toolbar: IgxGridToolbarComponent;
    /**
     * Sets the height of the column list in the dropdown.
     */
    columnListHeight: string;
    /**
     * Title text for the column action component
     */
    title: string;
    /**
     * The placeholder text for the search input.
     */
    prompt: string;
    /**
     * Returns the grid containing this component.
     */
    get grid(): import("../grid-base.directive").IgxGridBaseDirective;
    constructor(toolbar: IgxGridToolbarComponent);
    /** @hidden @internal */
    toggle(anchorElement: HTMLElement, toggleRef: IgxToggleDirective, actions?: IgxColumnActionsComponent): void;
    /** @hidden @internal */
    focusSearch(columnActions: HTMLElement): void;
}
