"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../common/util");
const version = '6.0.2';
function default_1() {
    return (host, context) => {
        const themeImport = '~igniteui-angular/core/styles/themes';
        const newThemeImport = '~igniteui-angular/lib/core/styles/themes';
        const config = util_1.getWorkspace(host);
        const projects = util_1.getProjects(config);
        context.logger.info(`Applying migration for Ignite UI for Angular to version ${version}`);
        for (const proj of projects) {
            const dir = host.getDir(proj.sourceRoot);
            dir.visit((path, entry) => {
                if (path.endsWith('.scss')) {
                    let content = entry.content.toString();
                    if (content.indexOf(themeImport) !== -1) {
                        content = content.replace(themeImport, newThemeImport);
                        host.overwrite(path, content);
                    }
                }
            });
        }
    };
}
exports.default = default_1;
